Open
Moved from vulture-web/docs/api/open.md
Parse a Soaring Spot URL and return competition information.
GET /api/open
Section titled “GET /api/open”Query Parameters
Section titled “Query Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
url | string | Yes | A Soaring Spot competition URL |
The URL must point to soaringspot.com or www.soaringspot.com. Login pages and root URLs are rejected.
Response
Section titled “Response”{ "competition": { "id": "competition-slug-2024", "name": "Competition Name", "location": "City", "country": "BE", "start_date": "2024-07-01", "end_date": "2024-07-10" }}Errors
Section titled “Errors”| Status | Reason |
|---|---|
406 | Missing URL, non-Soaring Spot URL, or login page |
